/**
 * Styles for catalogs.
 */

/* Div surrounding name of chapter in catalog tree table */
.tree-table-name-chapter {
}

/* Div surrounding name of document in catalog tree table */
.tree-table-name-document {
  padding-left: 20px;
}

/* Document and catalog status columns in catalog list and tree table */
td.document-status-name, td.catalog-status-name {
  width: 100px;
  text-align: left;
}
td.document-status-color, td.catalog-status-name {
  text-align: left;
}

/* Catalog status color div in catalogs list */
.list-catalog-status {
  width: 20px;
  height: 20px;
}
.catalog-status-new {
  background-color: #F0E68C; /* Khaki */
}
.catalog-status-editing {
  background-color: #87CEEB; /* SkyBlue */
}
.catalog-status-editing_finished {
  background-color: #00F; /* Blue */
}
.catalog-status-released {
  background-color: #3CB371; /* MediumSeaGreen */
}
.catalog-status-error_finishing {
  background-color: #F00; /* Red */
}
.catalog-status-finished {
  background-color: #008000; /* Green */
}
.catalog-status-system_progress{
  	background-color: #F0E68C; /* Khaki */
}
.catalog-status-error_system_progress{
    background-color: #F00; /* Red */
}

/* Document status color div in catalog tree table */
.tree-table-document-status {
  width: 20px;
  height: 20px;
}
.document-status-new {
  background-color: #F0E68C; /* Khaki */
}
.document-status-editing {
  background-color: #87CEEB; /* SkyBlue */
}
.document-status-revision {
  background-color: #1E90FF; /* DodgerBlue */
}
.document-status-approval {
  background-color: #00F; /* Blue */
}
.document-status-released {
  background-color: #3CB371; /* MediumSeaGreen */
}
.document-status-error_finishing {
  background-color: #F00; /* Red */
}
.document-status-finished {
  background-color: #008000; /* Green */
}

/* Page previews */
div#cpPagePreviewContainer img.page-preview { 
  border: 1px solid #ccc; 
}
div#cpPagePreviewContainer img.page-preview-hover {
}

/* Selectable box container */
div#cppreviewimagemapObjectMultiPage div.selectable-box,
div#cppreviewimagemapObjectSinglePage div.selectable-box {
}

/* Selected box container */
div#cppreviewimagemapObjectMultiPage div.selected,
div#cppreviewimagemapObjectSinglePage div.selected { 
  border: 1px solid #00f;
}

/* Draggable selected box container */
div#cppreviewimagemapObjectMultiPage div.selected-box-draggable,
div#cppreviewimagemapObjectSinglePage div.selected-box-draggable { 
  cursor: move;
}

/* Products cart */
.product-cart-draggable {
  cursor: move;
}

/*compare publication data and master data*/
td.transferButtonColumn {
  width: 30px;
  text-align: center;
}

.publicationDataChanged {
  text-decoration: underline;	
}

a.overwritePublicationData{
  background: transparent url(general/shift_one.gif) no-repeat scroll left top;
  width: 32px;
  height: 32px;
  display:block; 
}

a.overwriteAllPublicationData{
  background: transparent url(general/shift_all.gif) no-repeat scroll left top;
  width: 32px;
  height: 32px;
  display:block; 
}

a.keepPublicationData{
  background: transparent url(apphead/ic_tb_filenav_prev.gif) no-repeat scroll left top;
  width: 16px;
  height: 16px;
  display:block; 
}

a.keepPublicationData:hover{
  background-position: 0 -20px;
  width: 16px;
  height: 16px;
  display:block; 
}

.validatorIcon{
  background: transparent url(components/ic_validator.gif) no-repeat scroll left top;
  width: 16px;
  height: 16px;
  display:block;
}

.validatorIconColumn{
  width: 16px;
}

a.switchCompareViewBtn{
  background: transparent url(general/compare.gif) no-repeat scroll left top;
  width: 32px;
  height: 32px;
  display:block; 
}

.document-no-access{
  color:#e0dfe3;
}